Bug 62045 - Convert RenderBox::clipRect to IntPoint
Summary: Convert RenderBox::clipRect to IntPoint
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on:
Blocks: 60318
  Show dependency treegraph
 
Reported: 2011-06-03 13:15 PDT by Emil A Eklund
Modified: 2011-06-06 13:38 PDT (History)
6 users (show)

See Also:


Attachments
Patch (6.17 KB, patch)
2011-06-03 13:42 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch for landing (6.19 KB, patch)
2011-06-03 16:01 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch for landing (5.59 KB, patch)
2011-06-06 11:32 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2011-06-03 13:15:53 PDT
Ongoing tx, ty to IntPoint conversion
Comment 1 Emil A Eklund 2011-06-03 13:42:09 PDT
Created attachment 95957 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-06-03 13:46:42 PDT
Comment on attachment 95957 [details]
Patch

OK.
Comment 3 WebKit Commit Bot 2011-06-03 15:25:40 PDT
Comment on attachment 95957 [details]
Patch

Rejecting attachment 95957 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-8', 'apply-..." exit_code: 2

Last 500 characters of output:
dering/RenderBox.h
patching file Source/WebCore/rendering/RenderLayer.cpp
Hunk #1 FAILED at 3394.
Hunk #2 FAILED at 3456.
Hunk #3 succeeded at 3512 (offset -15 lines).
2 out of 3 hunks FAILED -- saving rejects to file Source/WebCore/rendering/RenderLayer.cpp.rej
patching file Source/WebCore/rendering/RenderLayerBacking.cpp
Hunk #1 succeeded at 319 (offset -1 lines).

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Eric Seidel', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8757885
Comment 4 Emil A Eklund 2011-06-03 16:01:04 PDT
Created attachment 95979 [details]
Patch for landing
Comment 5 WebKit Review Bot 2011-06-04 03:33:41 PDT
Comment on attachment 95979 [details]
Patch for landing

Rejecting attachment 95979 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-01', '--port..." exit_code: 2

Last 500 characters of output:
).
patching file Source/WebCore/rendering/RenderBox.h
Hunk #1 FAILED at 346.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/rendering/RenderBox.h.rej
patching file Source/WebCore/rendering/RenderLayer.cpp
Hunk #2 succeeded at 3441 with fuzz 1.
Hunk #3 succeeded at 3512 with fuzz 2.
patching file Source/WebCore/rendering/RenderLayerBacking.cpp
Hunk #1 succeeded at 319 with fuzz 1.

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/8760731
Comment 6 Emil A Eklund 2011-06-06 11:32:35 PDT
Created attachment 96100 [details]
Patch for landing
Comment 7 WebKit Review Bot 2011-06-06 12:57:50 PDT
Comment on attachment 96100 [details]
Patch for landing

Clearing flags on attachment: 96100

Committed r88183: <http://trac.webkit.org/changeset/88183>
Comment 8 WebKit Review Bot 2011-06-06 12:57:55 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 WebKit Commit Bot 2011-06-06 13:38:06 PDT
The commit-queue encountered the following flaky tests while processing attachment 96100 [details]:

http/tests/websocket/tests/frame-length-longer-than-buffer.html bug 61837 (author: abarth@webkit.org)
The commit-queue is continuing to process your patch.